% draws the boundaries defined in the SA_VectorArray VecArr into the image
% Matrix of Image with the colors specified by the color parameter
%
% The function uses for every new boundary the next available color 
% in Color and uses the first again, if the last was used

function Image = drawBoundaries(Image, VecArr, Color);
if (nargin<3) 
    error('Too less input parameter.');
end

c = 1;
for (i=1:size(VecArr))
   b = get(VecArr, i);
   
   for (j=1:size(b))
       % get position
       pos = b(j,:);
       % draw point
       %Image = set(Image,pos(1), pos(2),Color(c,:));  
       Image = drawDot(Image,pos, 2, Color(c,:)); 
   end
   
   % next color index
   c = c + 1;
   if (c > size(Color,1))
       c = 1;
   end    
end