% draws a dot with Radius at Position into the image.
%
% The function uses for the dot the specified color 
% in Color

function Image = drawBoundaries(Image, Position, Radius, Color);
if (nargin<4) 
    error('Too less input parameter.');
end

for (i=-Radius-1:Radius+1) 
    for (j=-Radius-1:Radius+1)
        if (sqrt(i^2 + j^2) < Radius)
            Image = set(Image, Position(1,1)+i, Position(1,2)+j, Color);
        end
    end
end