% draws a line from Startpt to Endpt into the image.
%
% The function uses for the line the specified color 
% in Color

function Image = drawBoundaries(Image, Startpt, Endpt, Color);
if (nargin<4) 
    error('Too less input parameter.');
end

v = Endpt - Startpt;
len = sqrt(v(1,1)^2 + v(1,2)^2);

v = v/len; %normalize direction

cur = Startpt;
len_done = 0.0;
while (len_done < len)
    c = round(cur);
    Image = set(Image, c(1,1), c(1,2), Color);
    %Image = drawDot(Image, c, 2, Color);
    cur = cur + v;
    
    %compute the length that is drawn till now
    len_done = len_done + 1; % 1 because v is normalized and thus of len 1
end %while
