% sets the B channel color at the position x,y in the Image. Does nothing if the
% index is outside the matrix.

function Image = setG(Image,x,y,b);
if nargin<4 
   error('Too less arguments.');
end

if (x>=1) && (x<=Image.x) % x valid
    if (y>=1) && (y<=Image.y) % y valid
        Image.img(x,y,3) = uint8(b);    
    else
        warning('Parameter y is outside of the Image bounds. Image not changed!');
    end
else
    warning('Parameter x is outside of the Image bounds. Image not changed!');
end