% adds Vector to all rows of all boundaries
% the Vector should have the dimensions [1 x k] where k is
% the width of the matrices in Vector array
%
% if the index parameter is passed, the vector is only added to the 
% element at this index position

function VecArr = add(VecArr,Vector, index);
if (nargin < 2) 
    error('Too less input arguments.');
end

if (nargin == 2) %add to all elements
    for (i=1 : size(VecArr.stack))
        VecArr.stack(i,:) = VecArr.stack(i,:) + Vector;
    end
else % add to element at index
    if (index > VecArr.size)
        warning('Passed index is greater than the number of elements in the structure.');
    else
        for (i=VecArr.indexArray(index) : VecArr.indexArray(index+1)-1)
            VecArr.stack(i,:) = VecArr.stack(i,:) + Vector;
        end
    end
end
    