% adds new_elem to the end of the element at index i on the stack
% the indices of VecArr.indexArray will change but the element remains at
% the position index

function VecArr = appendToElement(VecArr, index, new_elem);
if nargin<3 
   error('Too less arguments.');
end
% One output argument must be supplied.
if nargout~=1
   error('One output argument is expected.')
end

% used parameter
if (index <= VecArr.size) % if index is guilty
    if (size(new_elem,1) > 0) % and if the new element is not empty
        start = VecArr.indexArray(index+1)-1; % last pos of element at index
        size_elem = size(new_elem,1);
        
        
        % append to the begin of the stack (first element empty)
        if (start == 0) 
            VecArr.stack = [new_elem;VecArr.stack];  
            
        % append to the end of the stack   
        elseif (start+1 == VecArr.indexArray(end)) 
            VecArr.stack = [VecArr.stack;new_elem];

        %normal case
        else 
            VecArr.stack = [VecArr.stack(1:start,:);new_elem;VecArr.stack(start+1:end,:)]; 
        end
        
        % adjust index array
        for (i=(index+1):size(VecArr.indexArray))
            VecArr.indexArray(i) = VecArr.indexArray(i) + size_elem;
        end
            
    else % new_elem is not empty
        warning('Passed element to append was empty.');
    end
else % index > VecArr.size
    error('Index parameter greater than number of elements in the structure.');
end

