% removes the element at index from the VectorArray. All following elements
% will then have their index decremented

function VecArr = remove(VecArr, index);
if nargin<2 
   error('Too less arguments.');
end
% One output argument must be supplied.
if nargout~=1
   error('One output argument is expected.')
end

% if index is out of bound
if (index > VecArr.size) 
    warning('Index parameter is bigger than the number of elements. VectorArray not changed');
    
% now we can remove the item
else
    %%%%%%%%%%%%%%%%%%%%%%%%%
    %%% remove first item %%%
    %%%%%%%%%%%%%%%%%%%%%%%%%
    if (index == 1)
        % remove vector from stack
        VecArr.stack = VecArr.stack(VecArr.indexArray(2):end,:);
        % adjust size
        VecArr.size = VecArr.size - 1;
        % adjust index array
        len = VecArr.indexArray(2) - 1;
        VecArr.indexArray = VecArr.indexArray(2:end);
        for (i=1:size(VecArr.indexArray))
            VecArr.indexArray(i) = VecArr.indexArray(i) - len;     
        end
    
    %%%%%%%%%%%%%%%%%%%%%%%%
    %%% remove last item %%%
    %%%%%%%%%%%%%%%%%%%%%%%%
    elseif (index == VecArr.size)
        % remove vector from stack
        VecArr.stack = VecArr.stack(1:VecArr.indexArray(end-1)-1,:);
        % adjust size
        VecArr.size = VecArr.size - 1;
        % adjust index array
        VecArr.indexArray = VecArr.indexArray(1:end-1);       
        
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%% remove one in the middle %%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    else
        % remove vector from stack
        VecArr.stack = [VecArr.stack(1:VecArr.indexArray(index)-1,:);VecArr.stack(VecArr.indexArray(index+1):end,:)];
        % adjust size
        VecArr.size = VecArr.size - 1;
        % adjust index array
        len = VecArr.indexArray(index+1) - VecArr.indexArray(index);
        VecArr.indexArray = [VecArr.indexArray(1:index-1); VecArr.indexArray(index+1:end)];
        for (i=index:size(VecArr.indexArray))
           VecArr.indexArray(i) = VecArr.indexArray(i) - len;     
        end
    end
end