% This function takes two instances of type SA_VectorArray and combines
% them to one instance of SA_VectorArray by stacking the vectors ontop
% of each other. 
% the two vector arrays must have the same number of elements and the
% same size
%
% parameter: 
% VecArr1, VecArr2: of type SA_VectorArray; 
%
% return parameter:
% VecArr: resulting SA_VectorArray

function VecArr = combine(VecArr1, VecArr2);
if (nargin < 2)
    error('Too less input parameter.');
end

if (VecArr1.size ~= VecArr2.size)
    error('not the same size');
end



VecArr = VecArr1;
VecArr.stack = [VecArr1.stack, VecArr2.stack];