% this method sorts the vectors in the vector array from the longest to the
% shortest one.
%
% To achieve this, a new vector array is created and consecutively the
% largest vector from the given vector array is found, inserted in the new
% structure, and removed from the old one.

function SortVA = sort(VecArr);

SortVA = SA_VectorArray;

while (VecArr.size > 0)
    
    % find the largest in VecArr, insert it in SortVA and remove it from
    % VecArr
    best_s = -1;
    best_i = -1;
    for (i=1:VecArr.size)
        s = VecArr.indexArray(i+1) - VecArr.indexArray(i);
        if (s > best_s) % new best found 
            best_s = s;
            best_i = i;
        end
    end
    
    SortVA = insert(SortVA, get(VecArr, best_i));
    VecArr = remove(VecArr, best_i); 
end