% this function extends the boundaries in VecArr by Factor. 
% Factor must be inside ]0,1]

function VecArr = SA_extendBoundaries(VecArr, Factor);
if (nargin<2) 
    error('Too less input arguments');
end
if (Factor <= 0 | Factor > 1) 
    error('Factor must be inside ]0;1]')
end

for (i=1:size(VecArr)) % for each element in VecArr
    elem = get(VecArr,i);
    sz = size(elem);
    fsize = ceil(sz*Factor);
    VecArr = appendToElement(VecArr,i,elem(1:fsize,:)); % extend element
end